List Form Submissions

Get the properties of a form template and any corresponding form submissions by providing an existing form template ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Form Template ID

The response payload would contain details about the corresponding form template and form submissions.

Query Params
boolean
Defaults to false

Include the total number of form submissions as a top-level key in the response payload

Those form submissions would correspond to the form template given the existing form template ID.

Note: The default value of count is false.

int32
Defaults to 0

Number of objects —each corresponding to a specific form submission— that the Zenput server should skip before selecting those that the form_submissions array in the response payload should contain

At the moment of selection, objects would be ordered descendingly by the date on which each corresponding form submission reached the Zenput server.

Given that fact, and if the value of start were 0, the first object of the form_submissions array in the response payload would correspond to the most recent form submission.

Note: The default value of start is 0.

int32
Defaults to 10

Number of objects —each corresponding to a specific form submission— that the form_submissions array in the response payload should contain

Important: The maximum value of limit is 100.

Note: The default value of limit is 10.

date

Time frame starting date

The form_submissions array in the response payload would contain objects —each corresponding to a specific form submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end.

Important: The Zenput server would require the date to match a YYYYMMDD mask without hyphens or slashes. (For example, 20210501.)

date

Time frame ending date

The form_submissions array in the response payload would contain objects —each corresponding to a specific form submission— that reached the Zenput server between the date specified in date_start and the date specified in date_end.

Important: The Zenput server would require the date to match a YYYYMMDD mask without hyphens or slashes. (For example, 20210720.)

Note: If the request body were to contain a value for date_start and not contain one for date_end, then the value of date_end would be today's date.

boolean
Defaults to true

Use of UTC date range

If the value in the request body were true, then the Zenput server would consider the GMT (Greenwich Mean Time) of form submissions' dates to determine whether or not to include those form submissions in its selection, and hence, to also determine whether or not to include the corresponding objects in the form_submissions array in the response payload.

Otherwise, if the value in the request body were false, then the Zenput server would consider the local time of form submissions' dates for the same purpose.

Important: The time frame that is delimited by the dates specified in date_start and date_end would alter the Zenput server's selection. The time frame could narrow that selection.

Note: The default value of use_utc_date_range is true.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json